<div class="contentRight">
    <div class="contentFull left filler-bottom-end-p">
        <!-- = = = = = = = = = = Country Presidential elections = = = = = = = = = = -->
        <div class="content-holder filler-bottom">
            <h3>{{'Political.Elections.Elections' | translate }}</h3>
            <div class="electionsView filler-bottom-dd">
                <!--ul class="dd smaller"-->
                <div nz-row nzGutter="16">
                    <div nz-col nzSpan="8">
                        <nz-select style="width: 100%;" [(ngModel)]="selectedElection" nzAllowClear nzShowSearch
                            nzPlaceHolder="Choose Election" (ngModelChange)="electionSelected($event)"
                            [nzLoading]="isLoading[0]">
                            <nz-option nzCustomContent nzLabel="{{election.name}}" nzValue="{{election.id}}"
                                *ngFor="let election of elections">
                                <img src="{{hostUrl}}/assets/img/ico/ev/{{election.icon}}.png">
                                {{election.name}}
                            </nz-option>
                        </nz-select>
                    </div>
                    <div nz-col nzSpan="8" *ngIf="selectedElection > 0">
                        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
                            [nzLoading]="isLoading[0]" [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId"
                            (ngModelChange)="countrySelected($event)">
                            <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}"
                                nzValue="{{item.id}}">
                                <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
                        </nz-select>
                    </div>
                </div>
                <!--li>
                        <a href="#">@I18N.Core.Helper.I18N.GetText("Elections." + Model.ElectionType) <span class="right">&#9660;</span></a>
                        <ul class="choose-ele">
                            <li>
                                <a href='@Url.Action("index", "elections", new { electionType = 1 })'>
                                    <img src="{{hostUrl}}/assets/img/ico/ev/president_elect.png">{{'Political.Elections.CountryPresidential' | translate }}
                                </a>
                            </li>
                            <li>
                                <a href='@Url.Action("index", "elections", new { electionType = 2 })'>
                                    <img src="{{hostUrl}}/assets/img/ico/ev/congress_elect.png">{{'Political.Elections.Congress' | translate }}
                                </a>
                            </li>
                            <li>
                                <a href='@Url.Action("index", "elections", new { electionType = 3 })'>
                                    <img src="{{hostUrl}}/assets/img/ico/ev/party_elect.png">{{'Political.Elections.PartyPresidential' | translate }}
                                </a>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <a href="#">@Model.Countries.FirstOrDefault(x => x.Id == Model.CountryId)?.Name <span class="right">&#9660;</span></a>
                        <ul class="choose-cou">
                            <li>
                                <a href='@Url.Action("index", "elections", new { electionType = Model.ElectionType, countryId = 1 })'>{{'General.Common.AllCountries' | translate }}</a>
                            </li>
                            <li *ngFor="let country of countries">
                                    <a href='@Url.Action("index", "elections", new { electionType = Model.ElectionType, countryId = country.Id })'>
                                        <img src='{{hostUrl}}/{{country.flagLocation[0]}}'>{{country.name}}
                                    </a>
                                </li>
                        </ul>
                    </li>
                        <li>
                                <a href="#">Choose party <span class="right">&#9660;</span></a>
                                <ul class="choose-part">
                        <li>
                                        <a href="#">All parties</a>
                                </li>
                                <li>
                                    <a href="#">
                                            <img src="{{hostUrl}}/assets/img/misc/def_male.gif">Party 1
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                            <img src="{{hostUrl}}/assets/img/misc/def_male.gif">Party 2
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                            <img src="{{hostUrl}}/assets/img/misc/def_male.gif">Party 3
                                    </a>
                                </li>
                            </ul>
                        </li>
                </ul-->
            </div>
        </div>
        <div *ngIf="selectedCountryId > 0">
            <div *ngIf='electionType == 1' class="content-holder filler-bottom">
                <div class="electionsView">
                    <h4>{{'Political.Elections.OfficialForPresidential' | translate }}</h4>
                    <table id="candidatesPr" class="tableColor smaller">
                        <thead>
                            <tr>
                                <th>{{'Political.Elections.Candidate' | translate }}</th>
                                <th></th>
                                <th>{{'Political.Elections.Region' | translate }}</th>
                                <th>XP</th>
                                <th></th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let candidate of candidatesOfficial">
                                <td>
                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>
                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.name}}</a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/region/{{candidate.regionId}}'>{{candidate.regionName}}</a>
                                </td>
                                <td>{{candidate.experience}}</td>
                                <td *ngIf='entityType == 4 && entityId == candidate.partyId'>
                                    <form method="get"
                                    (click)='makeOfficial("false")'>
                                        <input class="mBtn blButton small ava" type="submit"
                                            value='@I18N.Core.Helper.I18N.GetText("Elections.MakeUnofficial")'
                                            style="border:none;">
                                    </form>
                                </td>
                                <td *ngIf='entityType == 1 && candidate.entityId == entityId'>
                                    <form method="get"
                                        (click)='withdraw(candidate.citizenId)'>
                                        <input class="smBtn rdButton small" type="submit"
                                            value="Withdraw"
                                            style="border:none;">
                                    </form>
                                </td>
                                <td>
                                    <input id="showCandId@(candidate.Id)" class="smBtn blButton small" type="submit"
                                        value='Goals'
                                        style="border:none; min-width: 100%;">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div *ngFor="let candidate of candidates" id="candId@(candidate.Id)" class="candHistory">
                        <form method="get" action='@Url.Action("setGoals", "elections")'>
                            <ul class="cabinet smaller">
                                <li>
                                    <p>{{'Military.Army.Vice' | translate }}</p>
                                    <!-- @((int)Model.EntityId == candidate.CitizenId ? "" : "readonly")-->
                                    <input class="pName" name="government" type="text" placeholder="Player name"
                                        value="@(new vPopulus.Services.Helpers.EntityHelper().GetName(EntitiesDictionary.EntityType.Citizen, int.Parse(candidate.Goverment[0])))">
                                </li>
                                <li>
                                    <p>{{'World.Country.Defence' | translate }}</p>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <input class="pName" name="government" type="text" placeholder="Player name"
                                        value="@(new vPopulus.Services.Helpers.EntityHelper().GetName(EntitiesDictionary.EntityType.Citizen, int.Parse(candidate.Goverment[1])))">
                                </li>
                                <li>
                                    <p>{{'World.Country.Economy' | translate }}</p>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <input class="pName" name="government" type="text" placeholder="Player name"
                                        value="@(new vPopulus.Services.Helpers.EntityHelper().GetName(EntitiesDictionary.EntityType.Citizen, int.Parse(candidate.Goverment[2])))">
                                </li>
                                <li>
                                    <p>{{'World.Country.ForeignAffairs' | translate }}</p>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <input class="pName" name="government" type="text" placeholder="Player name"
                                        value="@(new vPopulus.Services.Helpers.EntityHelper().GetName(EntitiesDictionary.EntityType.Citizen, int.Parse(candidate.Goverment[3])))">
                                </li>
                            </ul>
                            <ul class="Goals small">
                                <li>
                                    <h3>{{'World.Country.GoalsSocial' | translate }}</h3>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <textarea class="orders1" name="Goals"
                                        placeholder="What are your social Goals?">@(candidate.Goals[0] == "<next>" ? "" : candidate.Goals[0])</textarea>
                                </li>
                                <li>
                                    <h3>{{'World.Country.GoalsMilitary' | translate }}</h3>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <textarea class="orders1" name="Goals"
                                        placeholder="What are your military Goals?">@(candidate.Goals[1] == "<next>" ? "" : candidate.Goals[1])</textarea>
                                </li>
                                <li>
                                    <h3>{{'World.Country.GoalsEconomy' | translate }}</h3>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <textarea class="orders1" name="Goals"
                                        placeholder="What are your economic Goals?">@(candidate.Goals[2] == "<next>" ? "" : candidate.Goals[2])</textarea>
                                </li>
                                <li>
                                    <h3>{{'World.Country.GoalsOther' | translate }}</h3>
                                    <!--@((int)Model.EntityId == candidate.CitizenId ? "" : "readonly") -->
                                    <textarea class="orders1" name="Goals"
                                        placeholder="What other Goals do you have in mind?">@(candidate.Goals[3] == "<next>" ? "" : candidate.Goals[3])</textarea>
                                </li>
                                <li *ngIf='entityType == 1 && entityId == candidate.citizenId'
                                    style="padding-bottom: 0.5em;">
                                    <input class="smBtn blButton smaller right" type="submit" value="Save"
                                        style="border: none;">
                                    <div class="clear"></div>
                                </li>
                            </ul>
                        </form>

                    </div>
                </div>
            </div>
            <div *ngIf='electionType == 1' class="content-holder filler-bottom">
                <div class="electionsView">
                    <h4>Unofficial candidates for Presidential</h4>
                    <table id="candidatesPr" class="tableColor small">
                        <thead>
                            <tr>
                                <th>Candidate</th>
                                <th></th>
                                <th>Party</th>
                                <th>XP</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let candidate of candidatesUnofficial">
                                <td>
                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>
                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.name}}</a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/region/{{candidate.regionId}}'>{{candidate.regionName}}</a>
                                </td>
                                <td>{{candidate.experience}}</td>
                                <td *ngIf='entityType == 4 && entityId == candidate.partyId'>
                                    <form method="get" (click)='makeOfficial("true")'>
                                        <input class="mBtn blButton small ava" type="submit" value="Make official"
                                            style="border:none;">
                                    </form>
                                </td>
                                <td *ngIf='entityType == 1 && entityId == candidate.citizenId'>
                                    <form method="get"
                                    (click)='withdraw(candidate.citizenId)'>
                                        <input class="smBtn rdButton small" type="submit" value="Withdraw"
                                            style="border:none;">
                                    </form>
                                </td>

                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <!--  = = = Candidate = = = = = = = = = = -->
            <!--div *ngIf='entityType == 1 && canCandidate' class="content-holder">
                <div class="electionsView filler-bottom center">
                    <h4>Candidate</h4>
                    <p class="n-exp">You candidate to elections, but for both Presidential and Congressional elections
                        your
                        party leader or vice-leader will have to switch to party and make you official. If that doesn't
                        happen you won't be a candidate on elections day.</p>
                    <form method="get" (click)='candidate()'>
                        <input class="lBtn blButton small" type="submit" value="Candidate" style="border:none;">
                    </form>
                </div>
            </div-->
            <div *ngIf='electionType == 2' class="content-holder filler-bottom">
                <div class="electionsView filler-bottom">
                    <h4>Available official candidates for Congress</h4>
                    <table id="candidatesCo" class="tableColor smaller">
                        <thead>
                            <tr>
                                <th>Candidate</th>
                                <th></th>
                                <th>Region</th>
                                <th>XP</th>
                                <th>Priority</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let candidate of candidatesOfficial">
                                <td>
                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>
                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.name}}</a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/region/{{candidate.regionId}}'>{{candidate.regionName}}</a>
                                </td>
                                <td>{{candidate.experience}}</td>
                                <td>
                                    <ul *ngIf='entityType == 4 && entityId == candidate.partyId'>
                                        <li>
                                            <form method="get"
                                                action='@Url.Action("setPosition", "elections", new { entityId = candidate.CitizenId, positionId = candidate.Position - 1 })'>
                                                <input class="smBtn greyButton small ava" type="submit" value="&#x25B2;"
                                                    style="border:none;">
                                            </form>
                                        </li>
                                        <li>
                                            <form method="get"
                                                action='@Url.Action("setPosition", "elections", new { entityId = candidate.CitizenId, positionId = candidate.Position + 1 })'>
                                                <input class="smBtn greyButton small ava" type="submit" value="&#x25BC;"
                                                    style="border:none;">
                                            </form>
                                        </li>
                                    </ul>
                                </td>
                                <td *ngIf='entityType == 4 && entityId == candidate.partyId'>
                                    <form method="get"
                                    (click)='makeOfficial("false", candidate.id)'>
                                        <input class="mBtn blButton small ava" type="submit" value="Make unofficial"
                                            style="border:none;">
                                    </form>
                                    <input class="mBtn blButton small" type="submit" value="Support"
                                        style="border:none;">
                                </td>
                                <td *ngIf='entityType == 1 && entityId == candidate.citizenId'>
                                    <form method="get"
                                    (click)='withdraw(candidate.citizenId)'>
                                        <input class="smBtn rdButton small" type="submit" value="Withdraw"
                                            style="border:none;">
                                    </form>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>

                <div class="electionsView filler-bottom">
                    <h4>Available unofficial candidates for Congress</h4>
                    <table id="candidatesCo" class="tableColor smaller">
                        <thead>
                            <tr>
                                <th>Candidate</th>
                                <th></th>
                                <th>Region</th>
                                <th>XP</th>
                                <th>Priority</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let candidate of candidatesUnofficial">
                                <td>
                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>
                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.name}}</a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/region/{{candidate.regionId}}'>{{candidate.regionName}}</a>
                                </td>
                                <td>{{candidate.experience}}</td>
                                <td>
                                    <ul></ul>
                                </td>
                                <td *ngIf='entityType == 4 && entityId == candidate.partyId'>
                                    <form method="get"
                                    (click)='makeOfficial("true")'>
                                        <input class="mBtn blButton small ava" type="submit" value="Make official"
                                            style="border:none;">
                                    </form>
                                    <input class="mBtn blButton small" type="submit" value="Support"
                                        style="border:none;">
                                </td>
                                <td *ngIf='entityType == 1 && entityId == candidate.citizenId'>
                                    <form method="get"
                                    (click)='withdraw(candidate.citizenId)'>
                                        <input class="smBtn rdButton small" type="submit" value="Withdraw"
                                            style="border:none; min-width: 100%;">
                                    </form>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>
            </div>
            <!-- = = = = = = = = = = Candidate = = = = = = = = = = -->
            <!--div *ngIf='entityType == 1 && canCandidate' class="content-holder">
                <div class="electionsView filler-bottom center">
                    <h4>Candidate</h4>
                    <p class="n-exp">You candidate to elections, but for both Presidential and Congressional elections
                        your
                        party leader or vice-leader will have to switch to party and make you official. If that doesn't
                        happen you won't be a candidate on elections day.</p>
                    <form method="get" (click)='candidate()'>
                        <input class="lBtn blButton small" type="submit" value="Candidate" style="border:none;">
                    </form>
                </div>
            </div-->
            <div *ngIf='electionType == 3' class="content-holder filler-bottom">
                <div class="electionsView filler-bottom">
                    <h4>Available candidates for Party</h4>
                    <table id="candidatesPa" class="tableColor smaller">
                        <thead>
                            <tr>
                                <th>Candidate</th>
                                <th></th>
                                <th></th>
                                <th>XP</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let candidate of candidatesUnofficial">
                                <td>
                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>
                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a
                                        href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.name}}</a>
                                </td>
                                <td></td>
                                <td>{{candidate.experience}}</td>
                                <td></td>
                                <td *ngIf='entityType == 1 && entityId == candidate.citizenId'>
                                    <form method="get"
                                    (click)='withdraw(candidate.citizenId)'>
                                        <input class="smBtn rdButton small" type="submit" value="Withdraw"
                                            style="border:none; min-width: 100%">
                                    </form>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <!--@* = = = = = = = = = = Candidate = = = = = = = = = = *@-->
            <div *ngIf="entityType == 1 && canCandidate" class="content-holder">
                <div class="electionsView filler-bottom center">
                    <h4>Candidate</h4>
                    <p class="n-exp">You candidate to elections, but for both Presidential and Congressional elections
                        your
                        party leader or vice-leader will have to switch to party and make you official. If that doesn't
                        happen you won't be a candidate on elections day.</p>
                    <form method="get" (click)='candidate()'>
                        <input class="lBtn blButton small" type="submit" value="Candidate" style="border:none;">
                    </form>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="clear"></div>